Index: /ipk/source/keymaps_ufs910_at7000_at700_neutrino_1_3/CONTROL/control
===================================================================
--- /ipk/source/keymaps_ufs910_at7000_at700_neutrino_1_3/CONTROL/control	(revision 6518)
+++ /ipk/source/keymaps_ufs910_at7000_at700_neutrino_1_3/CONTROL/control	(revision 6519)
@@ -1,10 +1,10 @@
-Package: enigma2-plugin-keymaps-ufs910.at7000.at700.neutrino
-Version: 1.3
-Description: !!!ONLY FOR UFS910 , AT7000 or AT 700!!! With "Neutrino Keymap" the assignment of keys is neutrino like
-Section: keymaps
+Package: enigma2-plugin-swapnetwork-wlan
+Version: 3.0
+Description: !!!ONLY FOR UFS910 !!! network connections via usb wireless adapters based on zydas and ralink(-n) chipsets
+Section: network
 Priority: optional
 Maintainer: AAF Forum
 Architecture: sh4
-OE: keymaps
+OE: WLAN plugin for swapstick
 Homepage: http://www.aaf-digital.info
 Depends:
Index: /ipk/source/keymaps_ufs910_at7000_at700_neutrino_1_3/CONTROL/postinst
===================================================================
--- /ipk/source/keymaps_ufs910_at7000_at700_neutrino_1_3/CONTROL/postinst	(revision 6518)
+++ /ipk/source/keymaps_ufs910_at7000_at700_neutrino_1_3/CONTROL/postinst	(revision 6519)
@@ -1,4 +1,4 @@
 #!/bin/sh
-TMP=/tmp/.keymaps
+TMP=/tmp/.wlan
 echo "successfully installed"
 echo "syncing disk"
@@ -9,3 +9,4 @@
 	echo new freespace size $FREE kb
 fi
+echo "please plug your wifi adapter in a free usb port and reboot your box"
 exit 0
Index: /ipk/source/keymaps_ufs910_at7000_at700_neutrino_1_3/CONTROL/postrm
===================================================================
--- /ipk/source/keymaps_ufs910_at7000_at700_neutrino_1_3/CONTROL/postrm	(revision 6518)
+++ /ipk/source/keymaps_ufs910_at7000_at700_neutrino_1_3/CONTROL/postrm	(revision 6519)
@@ -1,11 +1,10 @@
 #!/bin/sh
-TMP=/tmp/.keymaps
+TMP=/tmp/.wlan
 
 echo "successfully removed"
+
 echo "syncing disk"
 sync
-	echo "restoring keymap.xml.neutrino -> keymap.xml"
-	mv /var/usr/local/share/enigma2/keymap.xml.neutrino /var/usr/local/share/enigma2/keymap.xml
-	sync
+
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
 	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
Index: /ipk/source/keymaps_ufs910_at7000_at700_neutrino_1_3/CONTROL/preinst
===================================================================
--- /ipk/source/keymaps_ufs910_at7000_at700_neutrino_1_3/CONTROL/preinst	(revision 6518)
+++ /ipk/source/keymaps_ufs910_at7000_at700_neutrino_1_3/CONTROL/preinst	(revision 6519)
@@ -1,5 +1,5 @@
 #!/bin/sh
 #
-TMP=/tmp/.keymaps
+TMP=/tmp/.wlan
 echo "syncing disk"
 sync
@@ -10,5 +10,5 @@
 echo "Some Plugins will not work correctly on your $model!"
 echo ""
-if [ "$model" = "ufs910" ] || [ "$model" = "at7000" ] || [ "$model" = "at700" ] || [ "$model" = "at7500" ]; then
+if [ "$model" = "ufs910" ] ; then
 	echo "Boxtype: $model OK"
 else
@@ -21,16 +21,23 @@
 	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
 	FREE=`expr $SPACE - 100`
-	SIZE=15
-	echo "checking freespace"
+	SIZE=210
+	echo "checking freespace..."
 	echo packege size $SIZE kb
 	echo freespace size $FREE kb
 	if  [ "$FREE" -lt "$SIZE" ]; then
-		echo "sorry no freespace left on device"
+		echo "sorry no freespace left on device!"
 		exit 1
 	else
 		echo ok
 	fi
-fi   
-echo "installing keymap ..."
+
+	echo "checking swapstick..."
+	if [ ! -d /var/swap/bin/ ]; then
+	    echo "no swapstick found!"
+	    exit 1
+	fi
+	echo "swapstick found!"
+fi
+
 echo "checking OS"
 if  [ `cat /etc/motd | grep AAF | grep M | grep rev | wc -l` -eq 0 ]; then                      
@@ -42,6 +49,4 @@
 	exit 1
 fi
-	echo "backing up keymap.xml -> keymap.xml.neutrino"
-	mv /var/usr/local/share/enigma2/keymap.xml /var/usr/local/share/enigma2/keymap.xml.neutrino
-	sync
+echo "installing wireless plugin ..."	sync
 exit 0
Index: /ipk/source/keymaps_ufs910_at7000_at700_neutrino_1_3/CONTROL/prerm
===================================================================
--- /ipk/source/keymaps_ufs910_at7000_at700_neutrino_1_3/CONTROL/prerm	(revision 6518)
+++ /ipk/source/keymaps_ufs910_at7000_at700_neutrino_1_3/CONTROL/prerm	(revision 6519)
@@ -1,4 +1,4 @@
 #!/bin/sh
-TMP=/tmp/.keymaps
+TMP=/tmp/.wlan
 echo "syncing disk"
 sync
@@ -8,4 +8,4 @@
 	echo freespace size $FREE kb
 fi
-echo "removing keymap"
+echo "removing wireless plugin"
 exit 0
